> For the complete documentation index, see [llms.txt](https://docs.sigrex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sigrex.io/api-reference/reference/strategies/reactions/llm-reaction.md).

# LLM Reaction

## GET /api/v2/strategy/reaction/llm

> Get all LLM reactions

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/reaction/llm":{"get":{"summary":"Get all LLM reactions","tags":["llm-reaction"],"responses":{"200":{"description":"List of user's LLM reactions","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LLMReaction"}}}}}}}}}}
```

## POST /api/v2/strategy/reaction/llm

> Create a new LLM reaction

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"CreateLLMReactionRequest":{"type":"object","required":["data_webhook_id","llm_api_id","prompt"],"properties":{"name":{"type":"string","description":"The name of the strategy max 255 characters"},"folder_id":{"type":"number","description":"The folder id of the reaction"},"webhook_id":{"type":"number","description":"The id of the bot hook where signal will be sent (required if send_signal is true)"},"data_webhook_id":{"type":"number","description":"The id of the data hook witch will be used to get data"},"llm_api_id":{"type":"number","description":"The main LLM Api key id used for the strategy"},"fallback_api_id":{"type":"number","description":"The fallback LLM Api key id used for the strategy if main is not available"},"delay":{"type":"number","description":"Set how often the reaction will check for new signals. eg. 10 means 10 in 1 second"},"use_chart":{"type":"boolean","description":"Set true if you want to send chart image with the strategy prompt"},"chart_symbol":{"type":"string","description":"The Tradingview symbol of the chart (required if use_chart is true)"},"chart_interval":{"type":"string","description":"The interval of the chart (required if use_chart is true)","enum":["1","3","5","15","30","60","120","240","D"]},"chart_studies":{"type":"array","description":"The studies of the chart (optional if use_chart is true)","maxItems":2,"items":{"type":"string","enum":["ACCD@tv-basicstudies","studyADR@tv-basicstudies","AROON@tv-basicstudies","ATR@tv-basicstudies","AwesomeOscillator@tv-basicstudies","BB@tv-basicstudies","BollingerBandsR@tv-basicstudies","BollingerBandsWidth@tv-basicstudies","CMF@tv-basicstudies","ChaikinOscillator@tv-basicstudies","chandeMO@tv-basicstudies","ChoppinessIndex@tv-basicstudies","CCI@tv-basicstudies","CRSI@tv-basicstudies","CorrelationCoefficient@tv-basicstudies","DetrendedPriceOscillator@tv-basicstudies","DM@tv-basicstudies","DONCH@tv-basicstudies","DoubleEMA@tv-basicstudies","EaseOfMovement@tv-basicstudies","EFI@tv-basicstudies","ENV@tv-basicstudies","FisherTransform@tv-basicstudies","HV@tv-basicstudies","hullMA@tv-basicstudies","IchimokuCloud@tv-basicstudies","KLTNR@tv-basicstudies","KST@tv-basicstudies","LinearRegression@tv-basicstudies","MACD@tv-basicstudies","MOM@tv-basicstudies","MF@tv-basicstudies","MoonPhases@tv-basicstudies","MASimple@tv-basicstudies","MAExp@tv-basicstudies","MAWeighted@tv-basicstudies","OBV@tv-basicstudies","PSAR@tv-basicstudies","PivotPointsHighLow@tv-basicstudies","PivotPointsStandard@tv-basicstudies","PriceOsc@tv-basicstudies","PriceVolumeTrend@tv-basicstudies","ROC@tv-basicstudies","RSI@tv-basicstudies","VigorIndex@tv-basicstudies","VolatilityIndex@tv-basicstudies","SMIErgodicIndicator@tv-basicstudies","SMIErgodicOscillator@tv-basicstudies","Stochastic@tv-basicstudies","StochasticRSI@tv-basicstudies","TripleEMA@tv-basicstudies","Trix@tv-basicstudies","UltimateOsc@tv-basicstudies","VSTOP@tv-basicstudies","Volume@tv-basicstudies","VWAP@tv-basicstudies","MAVolumeWeighted@tv-basicstudies","WilliamR@tv-basicstudies","WilliamsAlligator@tv-basicstudies","WilliamsFractal@tv-basicstudies","ZigZag@tv-basicstudies"]}},"chart_data_range":{"type":"string","description":"The data range of the chart (optional if use_chart is true)","enum":["1D","5D","1M","3M","6M","YTD","12M","60M","ALL"]},"prompt":{"type":"string","description":"The prompt used for the strategy"},"send_signal":{"type":"boolean","description":"Set true if you want to send a signal to the bot hook"},"signal_symbol":{"type":"string","description":"The signal symbol or symbols of the strategy separated by comma"},"send_email":{"type":"boolean","description":"Set true if you want to send the LLM response to the user email"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/reaction/llm":{"post":{"summary":"Create a new LLM reaction","tags":["llm-reaction"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLLMReactionRequest"}}}},"responses":{"201":{"description":"LLM reaction created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMReaction"}}}},"400":{"description":"Missing required fields, invalid prompt, or reaction limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"402":{"description":"Reaction limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Data webhook, bot webhook, or LLM API not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /api/v2/strategy/reaction/llm/{id}

> Get LLM reaction by ID

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/reaction/llm/{id}":{"get":{"summary":"Get LLM reaction by ID","tags":["llm-reaction"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"LLM reaction details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMReaction"}}}},"400":{"description":"Missing id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Reaction not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/strategy/reaction/llm/{id}

> Update LLM reaction

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"UpdateLLMReactionRequest":{"type":"object","required":["data_webhook_id","llm_api_id","prompt"],"properties":{"name":{"type":"string","description":"The name of the strategy max 255 characters"},"folder_id":{"type":"number","description":"The folder id of the reaction"},"webhook_id":{"type":"number","description":"The id of the bot hook where signal will be sent (required if send_signal is true)"},"data_webhook_id":{"type":"number","description":"The id of the data hook witch will be used to get data"},"llm_api_id":{"type":"number","description":"The main LLM Api key id used for the strategy"},"fallback_api_id":{"type":"number","description":"The fallback LLM Api key id used for the strategy if main is not available"},"delay":{"type":"number","description":"Set how often the reaction will check for new signals. eg. 10 means 10 in 1 second"},"use_chart":{"type":"boolean","description":"Set true if you want to send chart image with the strategy prompt"},"chart_symbol":{"type":"string","description":"The Tradingview symbol of the chart (required if use_chart is true)"},"chart_interval":{"type":"string","description":"The interval of the chart (required if use_chart is true)","enum":["1","3","5","15","30","60","120","240","D"]},"chart_studies":{"type":"array","description":"The studies of the chart (optional if use_chart is true)","maxItems":2,"items":{"type":"string","enum":["ACCD@tv-basicstudies","studyADR@tv-basicstudies","AROON@tv-basicstudies","ATR@tv-basicstudies","AwesomeOscillator@tv-basicstudies","BB@tv-basicstudies","BollingerBandsR@tv-basicstudies","BollingerBandsWidth@tv-basicstudies","CMF@tv-basicstudies","ChaikinOscillator@tv-basicstudies","chandeMO@tv-basicstudies","ChoppinessIndex@tv-basicstudies","CCI@tv-basicstudies","CRSI@tv-basicstudies","CorrelationCoefficient@tv-basicstudies","DetrendedPriceOscillator@tv-basicstudies","DM@tv-basicstudies","DONCH@tv-basicstudies","DoubleEMA@tv-basicstudies","EaseOfMovement@tv-basicstudies","EFI@tv-basicstudies","ENV@tv-basicstudies","FisherTransform@tv-basicstudies","HV@tv-basicstudies","hullMA@tv-basicstudies","IchimokuCloud@tv-basicstudies","KLTNR@tv-basicstudies","KST@tv-basicstudies","LinearRegression@tv-basicstudies","MACD@tv-basicstudies","MOM@tv-basicstudies","MF@tv-basicstudies","MoonPhases@tv-basicstudies","MASimple@tv-basicstudies","MAExp@tv-basicstudies","MAWeighted@tv-basicstudies","OBV@tv-basicstudies","PSAR@tv-basicstudies","PivotPointsHighLow@tv-basicstudies","PivotPointsStandard@tv-basicstudies","PriceOsc@tv-basicstudies","PriceVolumeTrend@tv-basicstudies","ROC@tv-basicstudies","RSI@tv-basicstudies","VigorIndex@tv-basicstudies","VolatilityIndex@tv-basicstudies","SMIErgodicIndicator@tv-basicstudies","SMIErgodicOscillator@tv-basicstudies","Stochastic@tv-basicstudies","StochasticRSI@tv-basicstudies","TripleEMA@tv-basicstudies","Trix@tv-basicstudies","UltimateOsc@tv-basicstudies","VSTOP@tv-basicstudies","Volume@tv-basicstudies","VWAP@tv-basicstudies","MAVolumeWeighted@tv-basicstudies","WilliamR@tv-basicstudies","WilliamsAlligator@tv-basicstudies","WilliamsFractal@tv-basicstudies","ZigZag@tv-basicstudies"]}},"chart_data_range":{"type":"string","description":"The data range of the chart (optional if use_chart is true)","enum":["1D","5D","1M","3M","6M","YTD","12M","60M","ALL"]},"prompt":{"type":"string","description":"The prompt used for the strategy"},"send_signal":{"type":"boolean","description":"Set true if you want to send a signal to the bot hook"},"signal_symbol":{"type":"string","description":"The signal symbol or symbols of the strategy separated by comma"},"send_email":{"type":"boolean","description":"Set true if you want to send the LLM response to the user email"}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/reaction/llm/{id}":{"put":{"summary":"Update LLM reaction","tags":["llm-reaction"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateLLMReactionRequest"}}}},"responses":{"200":{"description":"LLM reaction updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id, invalid prompt, or validation errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Reaction, webhook, or LLM API not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## DELETE /api/v2/strategy/reaction/llm/{id}

> Delete LLM reaction

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/reaction/llm/{id}":{"delete":{"summary":"Delete LLM reaction","tags":["llm-reaction"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"LLM reaction deleted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Reaction not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## POST /api/v2/strategy/reaction/llm/duplicate

> Duplicate an LLM reaction

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/reaction/llm/duplicate":{"post":{"summary":"Duplicate an LLM reaction","tags":["llm-reaction"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Reaction ID to duplicate"}}}}}},"responses":{"201":{"description":"LLM reaction duplicated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMReaction"}}}},"400":{"description":"Missing id or reaction limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/strategy/reaction/llm/{id}/reset

> Reset LLM reaction triggers, history or responses

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"ResetLLMTriggersRequest":{"type":"object","required":["resetTriggers","resetStorage","resetResponse"],"properties":{"resetTriggers":{"type":"boolean","description":"Set true to reset triggers"},"resetStorage":{"type":"boolean","description":"Set true to reset storage"},"resetResponse":{"type":"boolean","description":"Set true to reset response history"}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/reaction/llm/{id}/reset":{"put":{"summary":"Reset LLM reaction triggers, history or responses","tags":["llm-reaction"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetLLMTriggersRequest"}}}},"responses":{"200":{"description":"Triggers and/or history reset successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id, invalid options, or nothing to reset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Reaction not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/strategy/reaction/llm/{id}/status

> Update LLM reaction status

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"UpdateStatusRequest":{"type":"object","required":["status"],"properties":{"status":{"type":"string","enum":["ACTIVE","INACTIVE"]}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/reaction/llm/{id}/status":{"put":{"summary":"Update LLM reaction status","tags":["llm-reaction"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStatusRequest"}}}},"responses":{"200":{"description":"Status updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id, invalid status, or reaction limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"402":{"description":"Active reaction limit reached","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Reaction not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/strategy/reaction/llm/{id}/public

> Update LLM reaction public visibility

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"UpdatePublicRequest":{"type":"object","required":["isPublic"],"properties":{"isPublic":{"type":"boolean","description":"Set true to make the strategy public"}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/strategy/reaction/llm/{id}/public":{"put":{"summary":"Update LLM reaction public visibility","tags":["llm-reaction"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePublicRequest"}}}},"responses":{"200":{"description":"Public visibility updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing id or invalid public flag","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Strategy not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /api/v2/strategy/reaction/llm/folder

> Get all LLM reaction folders

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/reaction/llm/folder":{"get":{"summary":"Get all LLM reaction folders","tags":["llm-reaction"],"responses":{"200":{"description":"List of user's LLM reaction folders","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LLMReactionFolder"}}}}}}}}}}
```

## POST /api/v2/strategy/reaction/llm/folder

> Create a new LLM reaction folder

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/reaction/llm/folder":{"post":{"summary":"Create a new LLM reaction folder","tags":["llm-reaction"],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Folder name (optional, auto-generated if not provided)"}}}}}},"responses":{"201":{"description":"Folder created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMReactionFolder"}}}},"400":{"description":"Invalid name or max folder limit reached"}}}}}}
```

## GET /api/v2/strategy/reaction/llm/folder/root

> Get LLM reactions from root folder

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/reaction/llm/folder/root":{"get":{"summary":"Get LLM reactions from root folder","tags":["llm-reaction"],"responses":{"200":{"description":"List of LLM reactions in root folder","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LLMReaction"}}}}}}}}}}
```

## GET /api/v2/strategy/reaction/llm/folder/{id}

> Get LLM reaction folder by ID

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/strategy/reaction/llm/folder/{id}":{"get":{"summary":"Get LLM reaction folder by ID","tags":["llm-reaction"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"Folder ID"}],"responses":{"200":{"description":"Folder with its items","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LLMReactionFolder"}}}},"400":{"description":"Missing id"},"404":{"description":"Folder not found"}}}}}}
```

## PUT /api/v2/strategy/reaction/llm/folder/{id}

> Update LLM reaction folder

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}}},"paths":{"/api/v2/strategy/reaction/llm/folder/{id}":{"put":{"summary":"Update LLM reaction folder","tags":["llm-reaction"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"Folder ID"}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"New folder name (optional, auto-generated if not provided)"}}}}}},"responses":{"200":{"description":"Folder updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"400":{"description":"Missing id, invalid name, or folder not found"},"404":{"description":"Folder not found"}}}}}}
```

## DELETE /api/v2/strategy/reaction/llm/folder/{id}

> Delete LLM reaction folder

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"llm-reaction"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}}},"paths":{"/api/v2/strategy/reaction/llm/folder/{id}":{"delete":{"summary":"Delete LLM reaction folder","tags":["llm-reaction"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"Folder ID"}],"responses":{"200":{"description":"Folder deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"400":{"description":"Missing id, folder not found, or folder is not empty"},"404":{"description":"Folder not found"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sigrex.io/api-reference/reference/strategies/reactions/llm-reaction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
